[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] 5 commits: add chroot-installation trixie jobs to build_jenkins_job_health_page

Holger Levsen (@holger) gitlab at salsa.debian.org
Fri Jun 16 16:05:45 BST 2023



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
fc1d7ef2 by Holger Levsen at 2023-06-16T16:45:10+02:00
add chroot-installation trixie jobs to build_jenkins_job_health_page

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -
d0f15980 by Holger Levsen at 2023-06-16T16:56:53+02:00
reproducible Debian: stop hardcoding Debian suites, use data from _common.sh instead

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -
f3b8968e by Holger Levsen at 2023-06-16T16:59:37+02:00
reproducible Debian: create category for live_build trixie jobs on html_nodes_info page

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -
6636eb91 by Holger Levsen at 2023-06-16T17:01:36+02:00
reproducible Debian: include trixie results in json exports for tracker.d.o

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -
02ea4b74 by Holger Levsen at 2023-06-16T17:04:46+02:00
reproducible Debian: also create pool lists for trixie on buildinfos.debian.net

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


6 changed files:

- TODO
- bin/maintenance.sh
- bin/reproducible_blacklist.sh
- bin/reproducible_html_nodes_info.sh
- bin/reproducible_json.py
- bin/reproducible_pool_buildinfos.sh


Changes:

=====================================
TODO
=====================================
@@ -38,9 +38,13 @@ See link:https://jenkins.debian.net/userContent/about.html["about jenkins.debian
 ** tweak reproducible_common.sh in three locations to start collect statistics on the daily builds for trixie too (and make_graph.py too: (in lines 40 and 54++)
 ** create reproducible_(cdeboot|deboot|mmdeb)strap jobs for trixie
 ** create reproducible_debian_live_build jobs for trixie
+** add reproducible_debian_live_build.*trixie to reproducible_html_nodes_info.sh
+** adjust reproducible_json.py so that it exports data for trixie
+** add trixie to the suites in reproducible_pool_buildinfos.sh
 ** adjust chroot_installation- jobs
 ** tweak jenkins-shell-monitor.sh as needed
 ** adjust multiarch jobs in job-cfg/udd.yaml
+** add chroot-installation trixie jobs to build_jenkins_job_health_page in maintenance.sh
 ** upgrade i386 nodes to bookworm
 ** upgrade amd64 nodes to bookworm (except jenkins)
 *** see below for how to upgrade to postgresql-15 on ionos7


=====================================
bin/maintenance.sh
=====================================
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# Copyright 2012-2022 Holger Levsen <holger at layer-acht.org>
+# Copyright 2012-2023 Holger Levsen <holger at layer-acht.org>
 # released under the GPLv2
 
 DEBUG=false
@@ -183,6 +183,7 @@ build_jenkins_job_health_page() {
 		"edu-packages"
 		"haskell"
 		"chroot-installation_sid"
+		"chroot-installation_trixie"
 		"chroot-installation_bookworm"
 		"chroot-installation_bullseye"
 		"chroot-installation_buster"


=====================================
bin/reproducible_blacklist.sh
=====================================
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# Copyright 2014-2021 Holger Levsen <holger at layer-acht.org>
+# Copyright 2014-2023 Holger Levsen <holger at layer-acht.org>
 #         © 2015 Mattia Rizzolo <mattia at mapreri.org>
 # released under the GPLv2
 
@@ -74,10 +74,17 @@ case $SUITE in
 	sid) 	echo "WARNING: sid has been renamed to unstable."
 		SUITE=unstable
 		;;
-	stretch|buster|bullseye|bookworm|unstable|experimental) ;;
-	*)	echo "$SUITE is not a valid suite".
-		explain_syntax
-		exit 1
+	*)	valid=false
+		for s in ${SUITES} ; do
+			if [ "$SUITE" = "$s" ] ; then
+				valid=true
+			fi
+		done
+		if ! $valid ; then
+			echo "$SUITE is not a valid suite".
+			explain_syntax
+			exit 1
+		fi
 		;;
 esac
 


=====================================
bin/reproducible_html_nodes_info.sh
=====================================
@@ -254,6 +254,7 @@ build_job_health_page() {
 		"reproducible_cdebootstrap"
 		"reproducible_debian_live_build.*bullseye"
 		"reproducible_debian_live_build.*bookworm"
+		"reproducible_debian_live_build.*trixie"
 		"reproducible_debian_live_build.*sid"
 		"(reprotest|strip-nonderminism|disorderfs)"
 		"(json|le_scheduler|meta|le_nodes|rsync|notes)"


=====================================
bin/reproducible_json.py
=====================================
@@ -60,7 +60,7 @@ for row in result:
     output.append(pkg)
 
     # tracker.d.o should only care about results in testing
-    if pkg['suite'] == 'bookworm':
+    if pkg['suite'] == 'trixie':
 
         if pkg["status"] in ("E404", "NFU", "blacklisted"):
             # don't export these states in reproducible-tracker.json


=====================================
bin/reproducible_pool_buildinfos.sh
=====================================
@@ -1,7 +1,7 @@
 #!/bin/bash
 # vim: set noexpandtab:
 
-# Copyright 2019-2022 Holger Levsen <holger at layer-acht.org>
+# Copyright 2019-2023 Holger Levsen <holger at layer-acht.org>
 # Copyright 2021 Frédéric Pierret <frederic.pierret at qubes-os.org>
 # released under the GPLv2
 
@@ -276,7 +276,7 @@ ARCHES="
 	arm64
 	"
 
-SUITES="bullseye bookworm unstable"
+SUITES="bullseye bookworm trixie unstable"
 LOCALSUITE=""
 TMPDIR=$(mktemp -d -t buildinfos-pool-XXXXXX)
 



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/compare/a6e2d4f120062883c319aaa0f343ffb7890009ff...02ea4b74f60d8e013908f474445df5917ee0bcb2

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/compare/a6e2d4f120062883c319aaa0f343ffb7890009ff...02ea4b74f60d8e013908f474445df5917ee0bcb2
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20230616/a5c3a5bc/attachment-0001.htm>


More information about the Qa-jenkins-scm mailing list